package com.gic.haoban.manage.service.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.TabHaobanAudit;
import com.github.pagehelper.Page;

public interface TabHaobanAuditMapper {
    int deleteByPrimaryKey(String auditId);

    int insert(TabHaobanAudit record);

    int insertSelective(TabHaobanAudit record);

    TabHaobanAudit selectByPrimaryKey(String auditId);

    int updateByPrimaryKeySelective(TabHaobanAudit record);

    int updateByPrimaryKey(TabHaobanAudit record);
    
    Page<TabHaobanAudit> page(@Param("auditType")Integer auditType, @Param("storeIds")List<String> storeIds,@Param("staffIds")List<String>staffIds,@Param("wxEnterpriseId")String wxEnterpriseId, @Param("enterpriseId")String enterpriseId,@Param("auditStatus")Integer auditStatus,@Param("auditFlag")Integer auditFlag );
    
    Page<TabHaobanAudit> pageForStoreIdsAndstaffIds(@Param("auditType")Integer auditType, @Param("storeIds")List<String> storeIds,@Param("staffIds")List<String>staffIds,@Param("wxEnterpriseId")String wxEnterpriseId, @Param("enterpriseId")String enterpriseId,@Param("auditStatus")Integer auditStatus,@Param("auditFlag")Integer auditFlag );

    
    List<TabHaobanAudit> listByStoreId(String storeId);
    
    TabHaobanAudit findByStoreIdAndChangeField(@Param("storeId")String storeId,@Param("changeField")String changeField);

	com.github.pagehelper.Page listByStaffId(@Param("staffId")String staffId,@Param("auditType")Integer auditType,@Param("auditStatus")Integer auditStatus);

	com.github.pagehelper.Page pageStoreListByParams(@Param("storeId")String storeId, @Param("auditType")Integer auditType, @Param("auditStatus")Integer auditStatus);
}